明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 1033|回复: 1

[符号表] vb.net如何通过实体得到其所属的组的名字

[复制链接]
发表于 2015-9-6 10:32:52 | 显示全部楼层 |阅读模式
vb.net如何通过实体得到其所属的组的名字
求大侠指点
发表于 2015-9-22 16:12:23 | 显示全部楼层
  1. Dim doc As Document = Autodesk.AutoCAD.ApplicationServices.Application.DocumentManager.MdiActiveDocument
  2.         Dim PromptResult As PromptEntityResult = doc.Editor.GetEntity("选择对象")
  3.         If PromptResult.Status <> PromptStatus.OK Then
  4.             Exit Sub
  5.         End If
  6.         Using doc.LockDocument
  7.             Using Trans As Transaction = doc.TransactionManager.StartTransaction
  8.                 Dim SelectedEnt As Entity = Trans.GetObject(PromptResult.ObjectId, OpenMode.ForRead)

  9.                 Dim GroupDict As DBDictionary = Trans.GetObject(doc.Database.GroupDictionaryId, OpenMode.ForRead)
  10.                 For Each GroupEnt As DBDictionaryEntry In GroupDict

  11.                     Dim Grp As Group = Trans.GetObject(GroupDict(GroupEnt.Key), OpenMode.ForRead)

  12.                     If Grp.Has(SelectedEnt) Then
  13.                         MsgBox(Grp.Name) '通过此处来判断
  14.                     End If
  15.                 Next
  16.                 Trans.Abort()
  17.             End Using
  18.         End Using
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-29 03:57 , Processed in 0.162158 second(s), 26 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表